Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ConsultAttachmentType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.AttachmentKeyType
          be.fgov.ehealth.dics.protocol.v4.ConsultAttachmentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-04-09T03:55:14+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultAttachmentType

extends AttachmentKeyType
implements Serializable

Java class for ConsultAttachmentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultAttachmentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursementlaw:submit}AttachmentKeyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
             <element name="TemplateUrl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Appendix" type="{urn:be:fgov:ehealth:dics:protocol:v4}AppendixType"/>
             <element name="FormCategory" type="{urn:be:fgov:ehealth:dics:protocol:v4}FormCategoryType"/>
             <element name="Mandatory" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultAttachmentType()`

Method Summary
`AppendixType` | `getAppendix()` Gets the value of the appendix property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`FormCategoryType` | `getFormCategory()` Gets the value of the formCategory property.
`ConsultTextType` | `getName()` Gets the value of the name property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getTemplateUrl()` Gets the value of the templateUrl property.
`Boolean` | `isMandatory()` Gets the value of the mandatory property.
`void` | `setAppendix(AppendixType value)` Sets the value of the appendix property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setFormCategory(FormCategoryType value)` Sets the value of the formCategory property.
`void` | `setMandatory(Boolean value)` Sets the value of the mandatory property.
`void` | `setName(ConsultTextType value)` Sets the value of the name property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setTemplateUrl(String value)` Sets the value of the templateUrl property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.AttachmentKeyType
`getSequenceNr, setSequenceNr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultAttachmentType

    public ConsultAttachmentType()

Method Detail

### getName

    public ConsultTextType getName()

  Gets the value of the name property.

  Returns:
    possible object is `ConsultTextType`

### setName

    public void setName(ConsultTextType value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getTemplateUrl

    public String getTemplateUrl()

  Gets the value of the templateUrl property.

  Returns:
    possible object is `String`

### setTemplateUrl

    public void setTemplateUrl(String value)

  Sets the value of the templateUrl property.

  Parameters:
    `value` - allowed object is `String`

### getAppendix

    public AppendixType getAppendix()

  Gets the value of the appendix property.

  Returns:
    possible object is `AppendixType`

### setAppendix

    public void setAppendix(AppendixType value)

  Sets the value of the appendix property.

  Parameters:
    `value` - allowed object is `AppendixType`

### getFormCategory

    public FormCategoryType getFormCategory()

  Gets the value of the formCategory property.

  Returns:
    possible object is `FormCategoryType`

### setFormCategory

    public void setFormCategory(FormCategoryType value)

  Sets the value of the formCategory property.

  Parameters:
    `value` - allowed object is `FormCategoryType`

### isMandatory

    public Boolean isMandatory()

  Gets the value of the mandatory property.

  Returns:
    possible object is `Boolean`

### setMandatory

    public void setMandatory(Boolean value)

  Sets the value of the mandatory property.

  Parameters:
    `value` - allowed object is `Boolean`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.